#pragma once
#include <Engine/types/entity/Entity.h>
#include <Engine/types/entity/mixins/Renderable.h>

namespace Engine {
    class Hud;
}

class Engine::Hud : public Entity, public Renderable {
public:
    /// You want these to be rendered last.
    explicit Hud(const unsigned int layer = std::numeric_limits<unsigned int>::min()) : Renderable(layer) {};
    ~Hud() override = default;
};
