#pragma once

namespace Engine {
 class Living;
}

class Engine::Living {
protected:
    bool alive = true;
public:
    [[nodiscard]] bool IsAlive() { return alive; }
    void SetAlive(bool state) { alive = state; }
public:
    explicit Living(bool alive = true) : alive(alive) {}
    virtual ~Living() = default;
};