#include <Engine/types/entity/Camera.h>
#include <Engine/Globals.h>

void Engine::Camera::ShouldRender(bool state) {
    if (state)
        Globals::CurrentScene->SetActiveCamera(this);
}

bool Engine::Camera::ShouldRender() const {
    return Globals::CurrentScene->GetActiveCamera() == this;
}
